<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
  <modelVersion>4.0.0</modelVersion>
  <parent>
    <groupId>ru.entaxy.esb.platform.runtime.core.objects-implementations</groupId>
    <artifactId>service-implementation</artifactId>
    <version>1.10.1</version>
  </parent>
  <groupId>ru.entaxy.esb.platform.runtime.core.objects-implementations.service-implementation</groupId>  
  <artifactId>service-runtime</artifactId>
  <packaging>bundle</packaging>
  <name>ENTAXY  :: PLATFORM :: CORE :: OBJECTS IMPLEMENTATIONS :: SERVICE :: RUNTIME</name>
  <description>ENTAXY  :: PLATFORM :: CORE :: OBJECTS IMPLEMENTATIONS :: SERVICE :: RUNTIME</description>
  
  <properties>
	  <bundle.osgi.export.pkg>
		 ru.entaxy.platform.services.runtime,
		 ru.entaxy.platform.services.runtime.exceptions,
		 ru.entaxy.platform.services.runtime.impl,
         ru.entaxy.platform.services.runtime.interceptor,
         ru.entaxy.platform.services.runtime.utils
	  </bundle.osgi.export.pkg>
      <bundle.osgi.import.pkg>
            javax.xml.soap*;version="[1.3,2)",
            *
	  </bundle.osgi.import.pkg>		  
  </properties>
  
  <dependencies>
        <dependency>
            <groupId>xerces</groupId>
            <artifactId>xercesImpl</artifactId>
            <version>${xerces.version}</version>
	  		<exclusions>
	  			<exclusion>
	  				<groupId>xml-apis</groupId>
	  				<artifactId>xml-apis</artifactId>
	  			</exclusion>
	  		</exclusions>            
        </dependency>
   	  <dependency>
		  <groupId>org.apache.camel</groupId>
		  <artifactId>camel-core-engine</artifactId>
		  <version>${camel.version}</version>
	  </dependency>
	  <dependency>
		  <groupId>ru.entaxy.esb.platform.runtime.base.resources</groupId>
		  <artifactId>resources-service</artifactId>
		  <version>${project.version}</version>
	  </dependency>
	  <dependency>
          <groupId>ru.entaxy.esb.platform.runtime.core</groupId>
          <artifactId>core-support-runtime</artifactId>
		  <version>${project.version}</version>
	  </dependency>
      <dependency>
          <groupId>javax.interceptor</groupId>
          <artifactId>javax.interceptor-api</artifactId>
          <version>${javax.interceptor.version}</version>
      </dependency>
      <dependency>
          <groupId>commons-codec</groupId>
          <artifactId>commons-codec</artifactId>
          <version>${commons-codec.version}</version>
      </dependency>
      <dependency>
          <groupId>org.apache.camel</groupId>
          <artifactId>camel-cxf</artifactId>
          <version>${camel.version}</version>
      </dependency>
      <dependency>
          <groupId>org.apache.cxf</groupId>
          <artifactId>cxf-rt-wsdl</artifactId>
          <version>${cxf.version}</version>
      </dependency>
      <dependency>
          <groupId>org.apache.cxf</groupId>
          <artifactId>cxf-core</artifactId>
          <version>${cxf.version}</version>
      </dependency>
      <dependency>
         <groupId>org.apache.karaf.jaas</groupId>
         <artifactId>org.apache.karaf.jaas.boot</artifactId>
         <version>${karaf.version}</version>
      </dependency>
  </dependencies>
  
</project>
